package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class AuthFeignFactory implements FallbackFactory<AuthFeign> {
    @Override
    public AuthFeign create(Throwable cause) {
        return new AuthFeign() {
            @Override
            public Result<User> userLogin(User user) {
                return Result.error("网络不稳定");
            }

            @Override
            public Result addUser(User user) {
                return Result.error("网络不稳定");
            }
        };
    }
}
