package com.bwie.common.controllerAdvice;

import com.bwie.common.exception.GlobalException;
import com.bwie.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Slf4j
@RestControllerAdvice
public class GlobalControllerAdvice {

    @ExceptionHandler(value = GlobalException.class)
    public Result<String> GlobalExceptionHandler(Throwable e){
        StackTraceElement stackTraceElement = e.getStackTrace()[0];
        String fileName = stackTraceElement.getFileName();
        String className = stackTraceElement.getClassName();
        int lineNumber = stackTraceElement.getLineNumber();
        String methodName = stackTraceElement.getMethodName();
        log.error("GlobalExceptionHandler:{}",e.getMessage());
        return Result.error("报错信息：报错文件："+fileName+",报错类："+className+",报错行数："+lineNumber+",报错方法："+methodName
        +",报错提示："+e.getMessage());
    }






}
