package com.bwie.es.sync;

import com.bwie.common.domain.Seckill;
import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import com.bwie.es.feign.EsSeckillFeign;
import com.bwie.es.feign.EsShopFeign;
import com.bwie.es.service.EsSeckillService;
import com.bwie.es.service.EsShopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

//定时同步
@Component
public class ScheduSync {
    //商品
    @Autowired
    private EsShopFeign esShopFeign;
    //商品的业务
    @Autowired
    private EsShopService esShopService;
    //秒杀
    @Autowired
    private EsSeckillFeign seckillFeign;
    //秒杀的业务
    @Autowired
    private EsSeckillService esSeckillService;
    //    定时操作商品
    @Scheduled(cron = "0/59 * * * * ?")
    public void SyncShop(){
        System.out.println("已准备执行同步方法======>同步商品");
        Result<List<Shop>> shopList = esShopFeign.findShopList();
        ArrayList<Integer> intList = new ArrayList<>();
        List<Shop> data = shopList.getData();
        for (Shop datum : data) {
            Integer shopId = datum.getShopId();
            intList.add( shopId );
            System.out.println(intList);
        }
        System.out.println("已查询到数据库数据 准备同步至ES");
        try {
            esShopService.batchDelShop( intList );
            System.out.println("执行删除方法"+intList);
            esShopService.batchAddShop(data);
            System.out.println("商品同步成功 =====>"+data);
        } catch (Exception exception) {
            exception.printStackTrace();
            System.out.println("同步失败  错误信息======>"+exception.getMessage());
        }
    }
//    定时操作秒杀业务
    @Scheduled(cron = "0/30 * * * * ?")
    public void SyncSeckill(){
        System.out.println("已准备执行同步方法======>同步秒杀表单");
        Result<List<Seckill>> seckillList = seckillFeign.findSeckillList();
        ArrayList<Integer> intList = new ArrayList<>();
        List<Seckill> seckills = seckillList.getData();
        for (Seckill datum : seckills) {
            Integer middleId = datum.getMiddleId();
            intList.add( middleId );
            System.out.println(intList);
        }
        System.out.println("已查询到数据库数据 准备同步至ES");
        try {
            esSeckillService.batchDelSeckill( intList );
            System.out.println("执行删除方法"+intList);
            esSeckillService.batchAddSeckill(seckills);
            System.out.println("秒杀同步成功 =====>"+seckills);
        } catch (Exception exception) {
            exception.printStackTrace();
            System.out.println("同步失败  错误信息======>"+exception.getMessage());
        }
    }
}
