package com.bwie.seckill.mapper;

import com.bwie.common.domain.Car;
import com.bwie.common.domain.Seckill;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface SeckillMapper {
    //秒杀表展示
    List<Seckill>findSeckillList();
    //点击秒杀商品按钮，可以跳入商品详情页面(回显)
    Seckill findByshopId(@Param("shopId") Integer shopId);
    //触发添加购物车操作
    Integer updShopJoin(@Param("shopId") Integer shopId);
    //根据名字查询列表
    List<Car>findCarByName(@Param("carName") String carName);
    //根据iD修改数量
    Integer updById(@Param("carId") Integer carId);
    //<!--使用余额进行结算，如果余额不足则支付失败（2分）-->
    Integer updUserMoney(@Param("userId") Integer userId, @Param("userMoney") BigDecimal userMoney);
    //触发扣款
    Integer updCarStatus(Car car);
    //删除订单
    Integer delCar(@Param("carId") Integer carId);
    //商品库存-1
    Integer updShopNum(@Param("shopName") String shopName);
}
