package com.bwie.seckill.service.impl;

import com.bwie.common.domain.Car;
import com.bwie.common.domain.Seckill;
import com.bwie.common.result.Result;
import com.bwie.seckill.feign.CarFeign;
import com.bwie.seckill.mapper.SeckillMapper;
import com.bwie.seckill.service.SeckillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

@Service
public class SeckillServiceImpl implements SeckillService {
    @Autowired
    private SeckillMapper seckillMapper;
    //调用购物车微服务
    @Autowired
    private CarFeign carFeign;
    //秒杀表展示
    @Override
    public List<Seckill> findSeckillList() {
        return seckillMapper.findSeckillList();
    }
    //回显 （商品详细信息）
    @Override
    public Seckill findByshopId(Integer shopId) {
        return seckillMapper.findByshopId( shopId );
    }
    //触发添加购物车操作
    @Override
    public Integer updShopJoin(Integer shopId) {
        return seckillMapper.updShopJoin(shopId);
    }
    //添加购物车
    @Override
    public Result<Integer> addCar(Car car) {
        return carFeign.addCar( car );
    }
    //根据名字修改
    @Override
    public List<Car> findCarByName(String carName) {
        return seckillMapper.findCarByName( carName );
    }
    //根据iD修改数量
    @Override
    public Integer updById(Integer carId) {
        return seckillMapper.updById( carId );
    }
    //<!--使用余额进行结算，如果余额不足则支付失败（2分）-->
    @Override
    public Integer updUserMoney(Integer userId, BigDecimal userMoney) {
        return seckillMapper.updUserMoney( userId,userMoney );
    }
    //触发扣款
    @Override
    public Integer updCarStatus(Car car) {
        return seckillMapper.updCarStatus( car );
    }
    //删除订单
    @Override
    public Integer delCar(Integer carId) {
        return seckillMapper.delCar( carId );
    }
    //商品库存-1
    @Override
    public Integer updShopNum(String shopName) {
        return seckillMapper.updShopNum( shopName );
    }
}
