package com.bwie.shop.controller;

import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import com.bwie.shop.service.impl.ShopServiceImpl;
import com.bwie.shop.util.OssUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@RestController
public class ShopController {
    @Autowired
    private ShopServiceImpl service;
//列表展示
    @GetMapping("findShopList")
    public Result<List<Shop>>findShopList(){
        List<Shop> shopList = service.findShopList();
        return Result.success(shopList);
    }
    //添加商品
    @PostMapping("/addShop")
    public Result addShop(@RequestBody Shop shop){
        Integer i = service.addShop( shop );
        return i>0?Result.success():Result.error(500,"添加失败 请检查");
    }
    //图片上传
    @PostMapping("upload")
    public String upload(@RequestParam MultipartFile file){
        return OssUtil.uploadMultipartFile( file );
    }
}
