package com.bwie.rabbitmq.consumer;


import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.io.IOException;
//用户短信统一先放入MQ当中
@Component
public class MsgConsumer {
    @RabbitListener(queuesToDeclare = {@Queue("sendAddMsg")})
    public void sendAddMsg(String userTel, Message message, Channel channel){
        try {
            System.out.println("已给号码："+userTel+"发送短信=====>您已注册成功");
//            保证消息的可靠性
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            try {
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }

    }
    @RabbitListener(queuesToDeclare = {@Queue("sendLoginMsg")})
    public void sendLoginMsg(String userTel, Message message, Channel channel){
        try {
            System.out.println("已给号码："+userTel+"发送短信=====>您已登录成功");
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            try {
//                保证消息的可靠性
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }

    }
}
